%define upstream_name    HTML-Links-Localize
%define upstream_version 0.2.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert HTML Files to be used on a hard disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
HTML::Links::Localize converts HTML files to be used when viewing on the
hard disk. Namely, it converts relative links to point to "index.html"
files in their directories.

To use it, first initialize an instance using new:

$converter = HTML::Links::Localize->new(base_dir => $base_dir, dest_dir =>
$dest_dir)
    The constructor accepts two named parameters which are mandatory.
    ''base_dir'' is the base directory (or source directory) for the
    operations. ''dest_dir'' is the root destination directory.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml COPYING Changes README
%{_bindir}/html-to-hd
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.7-3.mga3
+ Revision: 368032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.2.7-2.mga3
+ Revision: 257893
- New version - 0.2.7

* Thu Dec 01 2011 shlomif <shlomif> 0.2.6-2.mga2
+ Revision: 174908
- Convert to a macro
- imported package perl-HTML-Links-Localize

